Bug 586364 - tomcat6 files installed without correct permissions
tomcat6 files installed without correct permissions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tomcat6 (Show other bugs)
13
i386 Linux
low Severity high
: ---
: ---
Assigned To: David Knox
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 08:04 EDT by ricardo.gladwell
Modified: 2015-11-01 19:15 EST (History)
7 users (show)

See Also:
Fixed In Version: tomcat6-6.0.26-11.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-01 16:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ricardo.gladwell 2010-04-27 08:04:42 EDT
Description of problem:

tomcat6 install won't run due to incorrect permissions on folders, including scratch folders.

Version-Release number of selected component (if applicable):

tomcat6-lib-6.0.20-2.fc13.noarch
tomcat6-admin-webapps-6.0.20-2.fc13.noarch
tomcat6-servlet-2.5-api-6.0.20-2.fc13.noarch
tomcat6-jsp-2.1-api-6.0.20-2.fc13.noarch

Actual results:

For example, I get the following error in my catalina.out which prevents my webapps from start:

SEVERE: The scratchDir you specified: /usr/share/tomcat6/work/Catalina/localhost/manager is unusable.

I need to execute "sudo chmod a+w -R /var/cache/tomcat6/work" to get my webapps to work.

Expected results:

tomcat6 RPM should create directories with appropriate permissions.
Comment 1 Alexander Kurtakov 2010-04-27 08:27:01 EDT
Can you test rawhide tomcat6?
Comment 2 David Mansfield 2010-06-03 11:00:43 EDT
rawhide as of Jun 3

  tomcat6.noarch 0:6.0.26-4.fc14                                                
  tomcat6-jsp-2.1-api.noarch 0:6.0.26-4.fc14                                    
  tomcat6-lib.noarch 0:6.0.26-4.fc14                                            
  tomcat6-servlet-2.5-api.noarch 0:6.0.26-4.fc14                

Still has wrong permissions.
Comment 3 David Knox 2010-07-01 17:28:36 EDT
Several permissions have been changed in tomcat6-6_0_26-8_fc14 including temp, work, and log directories. 

Can you please retest with [1]? 
[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=2288183
Comment 4 Milan Zázrivec 2010-08-04 08:25:26 EDT
This bug is a blocker for a successful Spacewalk 1.1 @ Fedora-13
installation.

Updated tomcat6 for Fedora-13 would be very much appreciated.
Comment 5 Fedora Update System 2010-10-12 14:02:51 EDT
tomcat6-6.0.26-3.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/tomcat6-6.0.26-3.fc12
Comment 6 Fedora Update System 2010-10-12 16:59:04 EDT
tomcat6-6.0.26-11.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tomcat6-6.0.26-11.fc13
Comment 7 Fedora Update System 2010-10-14 02:26:18 EDT
tomcat6-6.0.26-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomcat6'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/tomcat6-6.0.26-3.fc12
Comment 8 Fedora Update System 2010-11-01 16:54:22 EDT
tomcat6-6.0.26-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-11-01 16:56:49 EDT
tomcat6-6.0.26-11.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.